OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | List of all members
AMDIntegrator Class Reference

AMDIntegrator implements the aMD integration algorithm. More...

Inheritance diagram for AMDIntegrator:

## Public Member Functions
def | __init__
| Create an AMDIntegrator. More...
def | getAlpha
| Get the value of alpha for the integrator. More...
def | setAlpha
| Set the value of alpha for the integrator. More...
def | getE
| Get the energy threshold E for the integrator. More...
def | setE
| Set the energy threshold E for the integrator. More...
def | getEffectiveEnergy
| Given the actual potential energy of the system, return the value of the effective potential. More...

## Detailed Description

AMDIntegrator implements the aMD integration algorithm.

The system is integrated based on a modified potential. Whenever the energy V(r) is less than a cutoff value E, the following effective potential is used:

V*(r) = V(r) + (E-V(r))^2 / (alpha+E-V(r))

For details, see Hamelberg et al., J. Chem. Phys. 127, 155102 (2007).

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | dt,
|  |  | alpha,
|  |  | E
| ) |  |

Create an AMDIntegrator.

Parameters

  dt | (time) The integration time step to use
  alpha | (energy) The alpha parameter to use
  E | (energy) The energy cutoff to use

References CustomIntegrator.addComputePerDof(), CustomIntegrator.addConstrainPositions(), CustomIntegrator.addGlobalVariable(), CustomIntegrator.addPerDofVariable(), and CustomIntegrator.addUpdateContextState().

## Member Function Documentation

def getAlpha | ( |  | self | ) |

Get the value of alpha for the integrator.

References CustomIntegrator.getGlobalVariable().

Referenced by AMDIntegrator.getEffectiveEnergy().

def getE | ( |  | self | ) |

Get the energy threshold E for the integrator.

References CustomIntegrator.getGlobalVariable().

Referenced by AMDIntegrator.getEffectiveEnergy().

def getEffectiveEnergy | ( |  | self,
|  |  | energy
| ) |  |

Given the actual potential energy of the system, return the value of the effective potential.

References AMDIntegrator.getAlpha(), and AMDIntegrator.getE().

def setAlpha | ( |  | self,
|  |  | alpha
| ) |  |

Set the value of alpha for the integrator.

References CustomIntegrator.setGlobalVariable().

def setE | ( |  | self,
|  |  | E
| ) |  |

Set the energy threshold E for the integrator.

References CustomIntegrator.setGlobalVariable().

The documentation for this class was generated from the following file:

- amd.py